Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIFailureInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.DERObject
                  |
                  +--org.bouncycastle.asn1.DERBitString
                        |
                        +--org.bouncycastle.asn1.cmp.PKIFailureInfo

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class PKIFailureInfo
extends DERBitString

     PKIFailureInfo ::= BIT STRING {
     badAlg               (0),
       -- unrecognized or unsupported Algorithm Identifier
     badRequest           (2),
       -- transaction not permitted or supported
     badDataFormat        (5),
       -- the data submitted has the wrong format
     timeNotAvailable    (14),
       -- the TSA's time source is not available
     unacceptedPolicy    (15),
       -- the requested TSA policy is not supported by the TSA
     unacceptedExtension (16),
       -- the requested extension is not supported by the TSA
      addInfoNotAvailable (17)
        -- the additional information requested could not be understood
        -- or is not available
      systemFailure       (25)
        -- the request cannot be handled due to system failure  }

Field Summary
`static int` | `ADD_INFO_NOT_AVAILABLE`
`static int` | `BAD_ALG`
`static int` | `BAD_DATA_FORMAT`
`static int` | `BAD_REQUEST`
`static int` | `SYSTEM_FAILURE`
`static int` | `TIME_NOT_AVAILABLE`
`static int` | `UNACCEPTED_EXTENSION`
`static int` | `UNACCEPTED_POLICY`

Fields inherited from class org.bouncycastle.asn1.DERBitString
`data, padBits`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`PKIFailureInfo(DERBitString info)`
`PKIFailureInfo(int info)` Basic constructor.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.DERBitString
`equals, getBytes, getBytes, getInstance, getInstance, getPadBits, getPadBits, getString, hashCode, intValue`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BAD_ALG

    public static final int BAD_ALG

See Also:
  Constant Field Values

### BAD_REQUEST

    public static final int BAD_REQUEST

See Also:
  Constant Field Values

### BAD_DATA_FORMAT

    public static final int BAD_DATA_FORMAT

See Also:
  Constant Field Values

### TIME_NOT_AVAILABLE

    public static final int TIME_NOT_AVAILABLE

See Also:
  Constant Field Values

### UNACCEPTED_POLICY

    public static final int UNACCEPTED_POLICY

See Also:
  Constant Field Values

### UNACCEPTED_EXTENSION

    public static final int UNACCEPTED_EXTENSION

See Also:
  Constant Field Values

### ADD_INFO_NOT_AVAILABLE

    public static final int ADD_INFO_NOT_AVAILABLE

See Also:
  Constant Field Values

### SYSTEM_FAILURE

    public static final int SYSTEM_FAILURE

See Also:
  Constant Field Values

Constructor Detail

### PKIFailureInfo

    public PKIFailureInfo(int info)

  Basic constructor.

### PKIFailureInfo

    public PKIFailureInfo(DERBitString info)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD